Anonymous Login
2018-05-23 18:30 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001777OpenClonkEngine - C4Scriptpublic2018-01-20 14:28
ReporterFlinti 
Assigned ToZapper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version8.1Fixed in Version8.0 
Summary0001777: The array returned by GetProperties contains a property multiple times if it's defined in the proplist and it's prototype
DescriptionGetProperties(pl) currently returns an array containing all properties of pl plus the ones defined in its prototype or its prototype's prototype (and so on).

This is probably not intended.

It has been mentioned in the forums earlier (http://forum.openclonk.org/topic_show.pl?pid=28681;hl=getproperties)
Steps To ReproduceGetProperties({Prototype={a=1}, a=1}) / see the referenced forum post
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2016-07-04 20:51 Flinti New Issue
2017-08-05 13:58 Maikel Target Version => 8.0
2017-08-20 12:02 Zapper Target Version 8.0 => 8.1
2018-01-20 14:28 Luchs Assigned To => Zapper
2018-01-20 14:28 Luchs Status new => resolved
2018-01-20 14:28 Luchs Resolution open => fixed
2018-01-20 14:28 Luchs Fixed in Version => 8.0
2018-01-20 14:28 Luchs Note Added: 0006087
+Issue History